| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor0< R > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/functors.h>`

Inherits Tp::BaseFunctor.

## Public Types

typedef R(* | FunctionType )()
typedef R | ResultType

## Public Member Functions

| PtrFunctor0 (FunctionType fn)
ResultType | operator() () const

## Public Attributes

FunctionType | fn

## Member Typedef Documentation

template<class R >

typedef R(* Tp::PtrFunctor0< R >::FunctionType)()

template<class R >

typedef R Tp::PtrFunctor0< R >::ResultType

## Constructor & Destructor Documentation

template<class R >

Tp::PtrFunctor0< R >::PtrFunctor0 | ( | FunctionType | fn | ) |

inline

## Member Function Documentation

template<class R >

ResultType Tp::PtrFunctor0< R >::operator() | ( |  | ) | const

inline

## Member Data Documentation

template<class R >

FunctionType Tp::PtrFunctor0< R >::fn